fbpixel

Version php para migrar el servidor

Al ingresar a phpmyadmin aparece el error:

“Se detectaron errores en el servidor”.

El soporte de hosting me responde lo siguiente:

“la version de mysql y la version del panel de control y sistema opetarativo ya estan obsoletos. Por lo que se tendria que coordinar migrar el sitio a un servidor nuevo con todos los servicios actulizados a la ultima version estable.” Ellos realizan esta tarea pero me dicen:

“Primeramente tendria que verificar si la programacion del sitio sera compatible con las nuevas versiones, sobre todo por la version de php, y que version minima es la 7.4.”

Alguien me puede decir si eso es un inconveniente? La version de php no se va actualizando siempre en el sitio de Wordpress en forma automática?

Gracias,

No, la versión de PHP no se actualiza automáticamente. Si tenés el enlace del sitio y todavía está en línea posiblemente se podría verificar qué versión de PHP tenés, te comparto como:

curl -I http://tuwebacá.com

Eso lo ingresas en la consola del sistema y te va a dar información sobre tu hosting y demás. Así mismo, si tenés acceso al hosting tiene que haber un apartado de “versión de php” o “Administración PHP” o algo similar donde puedas ver que versión de PHP estás corriendo.

Básicamente la versión de PHP es como decir qué versión de Wordpress estás corriendo… algunos plugins funcionan para dicha versión de Wordpress, algunos no… Esto se debe a que con cada actualización de Wordpress se van a ajustando ciertos parametros, ciertas maneras de nombrar cosas, etc. Los que no corrigen su código a esas formas: quedan obsoletos.

El PHP y su versión es similar. En una versión vieja de PHP no había ciertos elementos que en las versiones nuevas si están, o por ejemplo se llamaban cosas de cierta manera que en las versiones nuevas se llaman de otras. Esto solo se puede cambiar desde el HOSTING ya que es una característica que el PROVEEDOR DE HOSTING debe de darte. Hay ciertos Proveedores Hosting que para cieros servicios que ofrecen limitan la versión de PHP (parece ser lo que te dicen a vos).

Bien, digamos que vos tenés la versión PHP 7.2 en tu Hosting (en tu Wordpress debería de aparecer algo como que necesitas una versión superior a la 7.3 en el Dashboard de tu panel de control) si este fuera el caso tenés estas opciones:

  1. Revisar si podes subir a alguna versión de PHP mayor en tu Hosting. Si podes, aunque no sea la 7.4: hacelo.
  2. Si no podes subir a nignuna versión de PHP, lo mejor sería que analices con firmeza qué es lo que tenés en tu Wordpress: plugins, themes, personalizaciones en php, etc. Luego que hagas un backup y que te lo guardes en un directorio local.

El segundo punto te recomiendo que lo hagas en el primero también. Una vez con esto le pedís a tus proveedores de hosting que te migren hacia ese nuevo servicio que te ofrecen. Vas a perder alguna funcionalidad? Si, posiblemente. Pero no va a pasar a mayores. Y en el caso de que si pierdas algo o que el sitio una vez que lo abras esté corrupto, renombras la carpeta plugins y la carpeta themes dentro del wp-content, creas dos nuevas carpetas con dichos nombres y volves a cargar el sitio: si todo funciona bien tendrás que ir descartando elementos hasta lograr tu cometido. En el caso de que logres hacer funcionar sin algún plugin, revisarás en el reservorio de plugins de wordpress si dicho plugin tiene una última versión compatible con tu PHP nuevo.

Espero que sirva!

2 Me gusta

Hola Ojosdenebulosa:

Te agradezco muchísimo tu respuesta. Seguramente me sirve. Es exactamente lo que necesitaba. Tengo que analizar bien los pasos que me indicas para hacer las cosas bien. Creo que voy a leer y releer muchas veces tu texto (jaja).
Esto surgió a raíz de que estoy tratando de posicionar el sitio un poco mejor y con versiones ya obsoletas eso no lo voy a lograr.
El proveedor de hosting me ofrece el servicio pasar a la última versión de php ( como me decís que debe ser, por suerte).
Entonces voy a tener que verificar si mi sitio funciona con las nuevas versiones. Estoy tratando de pasarlo a localwp pero es muy grande y me está costando. Pero pienso que va a poder ser. Gracias nuevamente.

Un saludo, Silvina